The Contacts resource provides methods that allow you to manage contacts.
Methods supported
| Method | Description |
|---|---|
| create | POST /restapi/v2/accounts/{accountId}/contactsImports multiple new contacts into the contacts collection from CSV, JSON, or XML (based on content type). |
| delete | DEL /restapi/v2/accounts/{accountId}/contacts/{contactId}Replaces a particular contact associated with an account for the DocuSign service. |
| deleteList | DEL /restapi/v2/accounts/{accountId}/contactsDelete contacts associated with an account for the DocuSign service. |
| get | GET /restapi/v2/accounts/{accountId}/contacts/{contactId}Gets a particular contact associated with the user’s account. |
| update | PUT /restapi/v2/accounts/{accountId}/contactsReplaces contacts associated with an account for the DocuSign service. |
Contacts properties
| Property | Type | Description |
|---|---|---|
canManage | string | |
contactId | string | |
contactPhoneNumbers | array | |
contactUri | string | |
emails | array | |
errorDetails | errorDetails | Array or errors. |
name | string | |
organization | string | |
shared | string | When set to true, this custom tab is shared. |
signingGroup | string | |
signingGroupName | string | The display name for the signing group. Maximum Length: 100 characters. |